Name:           rpmproc
Version:        2.1.4
Release:        0.fdr.3
Epoch:          0
Summary:        Perl script to help manage and build RPM packages

License:        GPL
Group:          Development/Tools
URL:            http://rpmproc.sourceforge.net/
Source:         http://download.sourceforge.net/rpmproc/rpmproc-2.1.4.tar.bz2
Patch0:         %{name}-upload-dirs.patch
Patch1:         %{name}-unique-script.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       rpm

%description
rpmproc is a simple Perl program to help manage and build RPM packages
for those who want an easy wrapper to build RPMs.  rpmproc supports
announcing changelogs to a mailing list using either qmail or
sendmail, signing RPMs, uploading to a user-defined "contribs" site as
well as uploading to a local directory (ie. for systems that also make
their RPMs available via FTP).


%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build


%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}}
install -p -m 755 rpmproc $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 rpmproc.conf $RPM_BUILD_ROOT%{_sysconfdir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING CHANGELOG manual.html
%{_bindir}/rpmproc
%config(noreplace) %{_sysconfdir}/rpmproc.conf


%changelog
* Sun Aug 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1.4-0.fdr.3
- Spec cleanup.

* Sun May  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1.4-0.fdr.2
- Save .spec in UTF-8.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.1.4-0.fdr.1
- Update to current Fedora guidelines.

* Sun Feb  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 2.1.4-1.fedora.1
- First Fedora release.
